%undefine __libtoolize
%define qtdir %_qt3dir
%define _optlevel s
%define glibc_core_ver %{get_version glibc-core}
%define _keep_libtool_files 1
%_K_if_ver_lt %glibc_core_ver 2.5
%define _keep_libtool_files 0
%endif

%define with_kmtrace 1
%define with_kunittest 1
%define unstable 0
%add_findprov_lib_path %_libkde
%set_findreq_skiplist %_bindir/kunittest_debughelper

Name: kdesdk
Version: 3.5.7
Release: alt1

Group: Development/KDE and QT
Summary: K Desktop Environment - Software Development Kit
Url: http://www.kde.org
License: GPL

Requires: %name-cervisia = %version-%release
Requires: %name-kio-svn = %version-%release
Requires: %name-kapptemplate = %version-%release
Requires: %name-kbabel = %version-%release
Requires: %name-kbugbuster = %version-%release
Requires: %name-kcachegrind = %version-%release
Requires: %name-kfile = %version-%release
%if %with_kmtrace
Requires: %name-kmtrace = %version-%release
%endif
Requires: %name-kompare = %version-%release
Requires: %name-kspy = %version-%release
Requires: %name-kuiviewer = %version-%release
Requires: %name-misc = %version-%release
Requires: %name-umbrello = %version-%release

Source: kdesdk-%version.tar.bz2
# MDK
Patch1: kdesdk-3.1-fix-conflict-with-lam.patch
# RH
# ALT
Patch10: 3.2.0-flags.patch
Patch11: kmtrace-3.5.0-fix-linking.patch
Patch12: kdesdk-3.5.0-svn_libs.patch
Patch13: kdesdk-3.5.6-alt-find-libapr.patch

# Automatically added by buildreq on Thu Mar 18 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs cvs flex fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel less libarts-devel libdb4.2-devel libiberty-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel perl-DBM python qt3-designer termutils xml-utils zlib-devel


BuildRequires: xorg-x11-devel cvs gcc-c++
BuildRequires: kde-settings libarts-devel libxml2-devel libxslt-devel
BuildRequires: libiberty-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel
BuildRequires: perl-DBM python qt3-designer termutils xml-utils zlib-devel
BuildRequires: bison flex kdepim-devel
BuildRequires: libsubversion-devel
#BuildRequires: libapr-devel libaprutil-devel
BuildRequires: libacl-devel libattr-devel libdb4-devel
#BuildRequires: perl(DCOP.pm)
#BuildRequires: kdelibs-devel-cxx = %__gcc_version_base
BuildRequires: kdelibs >= %version kdelibs-devel >= %version

%description
Software Development Kit for the K Desktop Environment.

%package common
Summary: Common empty package for %name
Group: Graphical desktop/KDE
Requires: kde-common >= 3.2
Conflicts: kdesdk <= 3.0.1
#
%description common
Common empty package for %name

%package kuiviewer
Summary: Viewer for Qt Designer user interface files
Group: Development/KDE and QT
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kuiviewer
KUIViewer is a utility to display and test the user interface (.ui)
files generated by Qt Designer. The interfaces can be displayed
in a variety of different widget styles.
	      
%package kcachegrind
Summary: KDE Frontend for Cachegrind, part of Valgrind.
Group: Development/KDE and QT
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
Requires: valgrind
Provides: kcachegrind = %version-%release
Obsoletes: kcachegrind
#
%description kcachegrind
KCachegrind is a KDE Frontend for Cachegrind, part of Valgrind.
	      
%package umbrello
Summary: UML Modeller
Group: Development/KDE and QT
Provides: umbrello = %version-%release
Obsoletes: umbrello
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description umbrello
Umbrello UML Modeller helps the software development process
by using the industry standard Unified Modelling Language (UML) to enable
you to create diagrams for designing and documenting your systems.

%package cervisia
Summary: Graphical CVS client
Group: Development/KDE and QT
License: GPL
Provides: cervisia = %version-%release
Obsoletes: cervisia
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
Requires: cvs kio-svn
#
%description cervisia
Cervisia is a KDE graphical frontend for the the CVS client. It
features checking out a module from a repository, updating or
retrieving the status of a working directory or single files, common
operations like add, remove and commit, diff against the repository
and between different revisions, annotated view of a file, view of the
log messages in tree and list form as well as resolving of conflicts
in a file.

%package kio-svn
Summary: KIO slave for svn:/ protocol in konqueror
Group: Development/Other
License: LGPL
Provides: kio-svn
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kio-svn
KIO slave for svn:/ protocol in konqueror

%package kbabel
Summary: Translator tools
Group: Development/KDE and QT
Obsoletes: kdesdk-devel
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kbabel
Translator tools.
kbabel includes a .po file editor, a catalog manager, message extraction
tools, and po file thumbnail views for Konqueror (the KDE file manager).

%package kbugbuster
Summary: KBugBuster - debugging tools
Group: Development/KDE and QT
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kbugbuster
Debugging tools

%package kapptemplate
Summary: Tool for creating a skeleton KDE application
Group: Development/KDE and QT
Requires: %name-common = %version-%release
#
%description kapptemplate
kapptemplate creates a skeleton KDE application (configure stuff, automake
stuff, etc.), allowing you to start writing the relevant code instead of
bothering with things that have already been done.

kapptemplate supports both standalone applications and plugins utilizing
KParts technology.

%package kfile
Summary: Kfile plugins
Group: Development/KDE and QT
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kfile
Plugin to allow the standard KDE file dialog to display
infirmation about .po .diff .cpp files

%package kmtrace
Summary: Malloc debugger for KDE
Group: Development/KDE and QT
Obsoletes: kdesdk-devel
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kmtrace
KMtrace is a malloc (memory allocation) debugger for KDE.

%package kompare
Summary: File comparison tool for KDE
Group: Development/KDE and QT
Obsoletes: kdiff
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kompare
A file comparison tool for KDE

%package kspy
Summary: Qt/KDE application state examination tool
Group: Development/KDE and QT
Obsoletes: kdesdk-devel
Requires: %{get_dep kdelibs}
Requires: %name-common = %version-%release
#
%description kspy
KSpy is a utility intended to help developers examine the internal
state of a Qt/KDE application. KSpy graphically displays all the
QObjects in use, and allows you to browse their properties. Using KSpy
is very simple, include kspy.h and call KSpy::invoke() when you want
to looks inside your app. The KSpy function is inline and the main
part of KSpy is dynamically loaded, so you may even want to leave this
in the release build of an application.

%package misc
Summary: Misc utils for KDE development
Group: Development/KDE and QT
Provides: %name-utils = %version-%release
Obsoletes: %name-utils
Obsoletes: kdesdk-devel
Requires: %name-common = %version-%release
#
%description misc
Misc utils for KDE development

%prep
%setup -q -n kdesdk-%version
%patch1 -p1
mv $RPM_BUILD_DIR/kdesdk-%version/kmtrace/ktrace.h $RPM_BUILD_DIR/kdesdk-%version/kmtrace/kde-ktrace.h
#
###%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

%if %_keep_libtool_files
for f in `find $PWD -type f -name Makefile.am`
do
    grep -q LDFLAGS $f || continue
    RPATH_LINK_OPTS="$RPATH_LINK_OPTS -Wl,-rpath-link,`dirname $f`/.libs"
done
sed -i "s|\(-Wl,--as-needed\)| $RPATH_LINK_OPTS \1|g" admin/acinclude.m4.in
%else
#subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
subst "s|-Wl,--no-undefined|-Wl,--allow-shlib-undefined|g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
%endif
make -f admin/Makefile.common cvs ||:


%build
rm -rf %buildroot
export QTDIR=%qtdir
export KDEDIR=%prefix

export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_Klibdir -L%_libdir"
%configure  \
%if %unstable
    --enable-debug=full \
%else
    --disable-debug \
%endif
    --mandir=%_mandir \
    --enable-final \
    --enable-shared \
    --disable-static \
    --disable-embedded \
    --disable-palmtop \
    --disable-rpath \
    --with-gnu-ld \
    --enable-new-ldflags \
    --enable-gcc-hidden-visibility \
    --enable-pch \
    --enable-dependency-tracking \
    --with-pic \
%ifarch x86_64
    --enable-libsuffix=64 \
%endif
    --program-transform-name="" \
    --with-xinerama

%make_build

%install
%if %unstable
%set_strip_method none
%endif
export PATH=%_bindir:$PATH

%make DESTDIR=%buildroot install

chmod 0644 %buildroot/%_libdir/*.la ||:
chmod 0644 %buildroot/%_libkde/*.la ||:

# fix scripts for strong /usr/lib/rpm/find-requires
pushd %buildroot/%_bindir
for f in `file ./* | grep shell | awk -F: '{print $1}' | xargs grep -l ^=head`
do
    mv "$f" "$f.tmp"
    awk 'BEGIN{found=0;} /^=head/ {if (found==0){print "cat <<\\__EOF__";found=1;};} {print} END{if (found!=0) print "__EOF__";}' <"$f.tmp" >"$f"
    rm -f "$f.tmp"
    chmod a+x $f
done
popd

# resilve conflict with subversion-tools
mv %buildroot/%_bindir/svn-clean %buildroot/%_bindir/svnclean

# (cd /home/zerg/RPM/TMP/kdesdk-buildroot/usr/bin; for f in *; do awk 'BEGIN{found=0;} /^=head/ {if (found==0){print "cat <<\\__EOF__";found=1;};} {print} END{if (found!=0) print "__EOF__";}' <"$f" >"$f.new" && cmp -s "$f" "$f.new" && mv -f "$f.new" "$f"
# grep -rl '^=head' /home/zerg/RPM/TMP/kdesdk-buildroot/usr/bin/



%post cervisia
%update_menus
%post_ldconfig

%postun cervisia
%clean_menus
%postun_ldconfig

%post kbabel
%update_menus
%post_ldconfig
%postun kbabel
%clean_menus
%postun_ldconfig

%post kbugbuster
%update_menus
%postun kbugbuster
%clean_menus

%post kmtrace
%post_ldconfig
%postun kmtrace
%postun_ldconfig

%post kompare
%update_menus
%post_ldconfig
%postun kompare
%clean_menus
%postun_ldconfig

%post kspy
%post_ldconfig
%postun kspy
%postun_ldconfig

%post kuiviewer
%update_menus
%post_ldconfig
%postun kuiviewer
%clean_menus
%postun_ldconfig

%post umbrello
%update_menus
%postun umbrello
%clean_menus

%post kcachegrind
%update_menus
%postun kcachegrind
%clean_menus


%files
%files common

%files kcachegrind
%_bindir/dprof2calltree
%_bindir/hotshot2calltree
%_bindir/memprof2calltree
%_bindir/op2calltree
%_bindir/pprof2calltree
#
%_bindir/kcachegrind
%_Kapps/kcachegrind
%doc %_docdir/HTML/en/kcachegrind
%_iconsdir/*/*/apps/kcachegrind.png
%_datadir/mimelnk/application/x-kcachegrind.desktop
%_Kmenudir/kcachegrind.desktop

%files kuiviewer
%_bindir/kuiviewer
%_Klibdir/libkuiviewerpart.so*
%_Klibdir/quithumbnail.so*
%_Kapps/kuiviewer
%_Kapps/kuiviewerpart
%_Kservices/designerthumbnail.desktop
%_Kservices/kuiviewer_part.desktop
%_iconsdir/*/*/apps/kuiviewer.png
%_Kmenudir/kuiviewer.desktop

%files umbrello
%_bindir/umbodoc
%_bindir/umbrello
%_Kapps/umbrello
%_iconsdir/*/*/*/umbrello*
%_datadir/mimelnk/application/x-umbrello.desktop
%doc %_docdir/HTML/en/umbrello
%_Kmenudir/umbrello.desktop

%files cervisia
%_bindir/cervisia
%_libdir/libkdeinit_cervisia.so*
%_libdir/libkdeinit_cvs*.so*
%_Klibdir/cervisia.so*
%_Klibdir/libcervisiapart.so*
%_Kapps/cervisia
%_Kapps/cervisiapart
%_Kapps/kconf_update/cervisia.upd
%_Kapps/kconf_update/change_colors.pl
%_Kapps/kconf_update/move_repositories.pl
%_Kapps/kconf_update/cervisia-change_repos_list.pl
%_Kapps/kconf_update/cervisia-normalize_cvsroot.pl
%_iconsdir/*/*/*/cervisia.png
%_iconsdir/*/*/actions/vcs_*.*
%doc %_docdir/HTML/en/cervisia
%doc %_man1dir/cervisia.*
%_Kmenudir/cervisia.desktop
#
%_bindir/cvsaskpass
%_bindir/cvsservice
%_Klibdir/cvs*.so*
%_libdir/libcvsservice.so*
%_Kservices/cvsservice.desktop
%_includedir/cvsservice_stub.h
%_includedir/repository_stub.h
%_includedir/cvsjob_stub.h

%files kio-svn
%_bindir/kio_svn_helper
%_Klibdir/kded_ksvnd.so*
%_Klibdir/kio_svn.so*
%_Kservices/kded/ksvnd.desktop
%_Kservices/svn+*.protocol
%_Kservices/svn.protocol
%_Kapps/konqueror/servicemenus/subversion_toplevel.desktop
%_Kapps/konqueror/servicemenus/subversion.desktop
%_iconsdir/*/*/actions/svn_*.*

%files kfile
%_Klibdir/kfile_*.so*
%_Kservices/kfile_*.desktop

%files kbabel
%_bindir/kbabel*
%_bindir/catalogmanager
%_libdir/libkbabel*.so*
%_Klibdir/kbabel_*.so*
%_Klibdir/kbabeldict_*.so*
%_Klibdir/pothumbnail.so*
%_includedir/kbabel
%_iconsdir/*/*/*/kbabel*
%exclude %_iconsdir/locolor/*/*/kbabel*
%_iconsdir/*/*/*/catalogmanager*
#%_iconsdir/*/*/*/gettext.png
%_Kmenudir/catalogmanager.desktop
%_Kmenudir/kbabel.desktop
%_Kmenudir/kbabeldict.desktop
%_Kapps/kconf_update/kbabel-project.upd
%_Kapps/kconf_update/kbabel-projectrename.upd
%_Kapps/kconf_update/kbabel-difftoproject.upd
%_Kapps/kbabel
#%_Kapps/kbabeldict
%_Kapps/catalogmanager
#%_datadir/mimelnk/application/x-gettext.desktop
%_Kservices/kbabel_*.desktop
%_Kservices/pothumbnail.desktop
%_Kservices/poauxiliary.desktop
%_Kservices/pocompendium.desktop
%_Kservices/tmxcompendium.desktop
%_Kservices/dbsearchengine.desktop
%_Kservicetypes/kbabel*.desktop
%doc %_docdir/HTML/en/kbabel
# %doc %_docdir/HTML/en/ktranslator

%files kbugbuster
%_bindir/kbugbuster
%_Klibdir/kcal_bugzilla.so*
%_iconsdir/*/*/*/kbugbuster.png
%_Kapps/kbugbuster
%_Kservices/kresources/kcal/bugzilla.desktop
%_Kmenudir/kbugbuster.desktop
%doc %_docdir/HTML/en/kbugbuster

%files kapptemplate
%_bindir/kapptemplate
%_Kapps/kapptemplate

%if %with_kmtrace
%files kmtrace
%_bindir/kmmatch
%_bindir/kmtrace
%_bindir/demangle
%_bindir/kminspector
%_libdir/libktrace*.so*
%_Kapps/kmtrace
%_includedir/kde-ktrace.h
%endif

%files kompare
%_bindir/kompare
%_libdir/libkompareinterface.so*
#%_libdir/libkomparepart*.so*
#%_Klibdir/libdialogpages.*
%_Klibdir/libkomparepart*.so*
%_Klibdir/libkomparenavtreepart*.so*
%_Kservices/kompare*
%_Kservicetypes/kompare*part.desktop
%_Kapps/kompare
#%_Kapps/komparepart
%_iconsdir/*/*/*/kompare.*
%_Kmenudir/kompare.desktop
%doc %_docdir/HTML/en/kompare

%files kspy
#%_bindir/testkspy
%_libdir/libkspy*.so*
%_includedir/kspy.h


%files misc
%_man1dir/cvs*
%_man1dir/kde-build.*
%_man1dir/kdesvn-build.*
%_man1dir/noncvslist.*
%_man1dir/includemocs.*
%_docdir/HTML/en/kdesvn-build/
%doc scripts/completions
#
%if %with_kunittest
%_bindir/kunittest
%_bindir/kunittest_debughelper
%_bindir/kunittestguimodrunner
%_bindir/kunittestmod
%_includedir/kunittest/
%_libdir/libkunittestgui.so*
%endif
#
%_Klibdir/kabcformat_kdeaccounts.so**
%_Klibdir/plugins/styles/scheck.so*
%_Kapps/kabc/formats/kdeaccountsplugin.desktop
%_Kapps/kstyle/themes/scheck.themerc
%_Kapps/katepart/syntax/kdesvn-buildrc.xml
%_includedir/kprofilemethod.h
#
#%_datadir/kdepalettes
#
%_bindir/create_svnignore
%_bindir/nonsvnlist
%_bindir/svnclean
%_bindir/svn2dist
%_bindir/svnaddcurrentdir
%_bindir/svnbackport
%_bindir/svnchangesince
%_bindir/svnforwardport
%_bindir/svngettags
%_bindir/svnlastchange
%_bindir/svnlastlog
%_bindir/svnrevertlast
%_bindir/svnversions
%_bindir/kdesvn-build
%_bindir/colorsvn
%_bindir/adddebug
%_bindir/build-progress.sh
%_bindir/cheatmake
%_bindir/create_cvsignore
%_bindir/create_makefile
%_bindir/create_makefiles
#%_bindir/cvs2pack
%_bindir/cvs-clean
%_bindir/cvsbackport
%_bindir/cvsblame
%_bindir/cvscheck
%_bindir/cvsforwardport
%_bindir/cvslastchange
%_bindir/cvslastlog
%_bindir/cvsrevertlast
%_bindir/cvs2dist
%_bindir/cvsversion
%_bindir/cxxmetric
%_bindir/extend_dmalloc
%_bindir/extractrc
%_bindir/extractattr
#%_bindir/fixsgml
#%_bindir/fixincludes
%_bindir/includemocs
%_bindir/findmissingcrystal
%_bindir/fixuifiles
%_bindir/fixkdeincludes
%_bindir/kde-build
%_bindir/kdedoc
%_bindir/kdekillall
%_bindir/kdelnk2desktop.py*
%_bindir/kdemangen.pl
%_bindir/licensecheck
%_bindir/makeobj
%_bindir/noncvslist
%_bindir/package_crystalsvg
%_bindir/png2mng.pl
%_bindir/po2xml
%_bindir/pruneemptydirs
%_bindir/qtdoc
%_bindir/split2po
%_bindir/swappo
%_bindir/transxx
%_bindir/xml2pot
%_bindir/zonetab2pot.*

%changelog
* Thu May 24 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt1
- new version

* Tue Mar 27 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.6-alt2
- remove patch against text relocations
- update build requires
- fix build with new libapr*

* Mon Jan 29 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.6-alt1
- new version

* Thu Nov 23 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.5-alt2
- resolve conflict with subversion-tools

* Tue Oct 17 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.5-alt1
- new version

* Thu Sep 07 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.4-alt2
- apply patch to fix text relocations

* Tue Sep 05 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.4-alt1
- new version
- fix text relocations; thanks Alexey Morozov

* Wed Jun 07 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.3-alt1
- new version

* Wed Apr 05 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.2-alt1
- new version

* Thu Feb 02 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.1-alt1
- new version

* Mon Dec 19 2005 Sergey V Turchin <zerg at altlinux dot org> 3.5.0-alt1
- new version

* Fri Jul 08 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt2
- built with libsubversion

* Wed Jun 08 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt1
- new version

* Fri Apr 01 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt1
- new version

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt1
- rebuild

* Wed Jan 05 2005 ZerG <zerg@altlinux.ru> 3.3.2-alt0.0.M24
- new version

* Thu Oct 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt1
- new version

* Tue Oct 05 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.0-alt1
- new version

* Mon Jun 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- new version

* Wed May 19 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt3
- fix provides

* Fri May 14 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt2
- don't build kmtrace

* Mon Apr 12 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt1
- new version

* Thu Mar 18 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.1-alt1
- update code from KDE_3_2_BRANCH

* Fri Mar 05 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.0-alt1
- new version
- update code from KDE_3_2_BRANCH

* Thu Mar 04 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.0-alt1
- new version
- update code from KDE_3_2_BRANCH

* Fri Sep 19 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.4-alt1
- update code from cvs

* Thu Aug 21 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.3-alt1
- update code from cvs

* Thu Jul 03 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt2
- update code from cvs

* Fri May 30 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.2-alt1
- update from cvs KDE_3_1_BRANCH

* Tue May 06 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.1-alt2
- update from cvs KDE_3_1_BRANCH

* Tue Apr 01 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.1-alt1
- update from cvs KDE_3_1_BRANCH

* Wed Feb 05 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- update from cvs

* Thu Jan 09 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- update from cvs

* Thu Nov 28 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- update from cvs

* Wed Nov 06 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.20.rc2
- rc2

* Fri Nov 01 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.20.rc1
- rc1
- increase %%release to easy check dependencies

* Fri Oct 18 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.2
- update code from cvs

* Wed Sep 11 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt2
- rebuild with gcc 3.2 && objprelink
- sync patches with cooker

* Tue Aug 20 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt1
- update from cvs

* Mon Aug 12 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.2-alt1
- new version
- split

* Mon Jun 17 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt1
- new version

* Wed May 15 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt3
- fix upgrade cervisia

* Mon Apr 29 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt2
- move to usr
- add  Obsoletes: kdiff  because we have kompare
- fix launch kompare

* Tue Apr 09 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0-alt1
- build for ALT

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- Rc2

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
    now)

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
